# POCO Frequently Asked Questions
---

## Generic Questions

**Q:** How do I do [xyz] with POCO?

**A:** It depends on what exactly [xyz] is. POCO community is more than happy to help newcomers and experienced C++ programmers alike. There are, however, certain limitations as to how far we are willing to go as well as expectations we have for people asking questions:

  - First and foremost, read the relevant [documentation](http://pocoproject.org/documentation/index.html)
  
  - Please be patient and respectful; we answer questions free of charge and our time is at least as valuable as yours.
  
  - Please do [your share of work before asking](#resources); since we are doing this free of charge, make sure to make it as easy as possible for us to identify the problem - it will greatly increase the chances of getting an answer.
  
  - Please do not ask us to solve your homework, commercial or hobby project application problems; although we provide answers free of monetary charge, we do have an incentive - improving POCO for yours and our benefit. Your question may contain important information in that sense but you must demonstrate it clearly to get our attention quickly. In the process, the solution to your particular problem is often a side-effect; we are happy to help, but keep in mind - that is not our primary incentive.
 
  - We are not here to teach you about basics of networking, XML or JSON parsing, C++ language etc.; there are many other resources to learn about those topics. Keep in mind our primary incentive (improving POCO by fixing bugs, improving usability or adding features).
  
  - If nobody steps up to help or someone starts but chooses to stop helping you at any point, please do not get upset and/or verbally abusive; remember - we have lives and obligations and we do this free of charge, therefore owe you nothing unless you choose to enter into a contractual relationship with us to obtain needed help; we do such arrangements and you can contact us individually should you need one. Consider also that your demeanor may have caused the person helping to you to stop.
  
  - Please spend some time studying the answers we provide; do not come back without thoroughly understanding and trying the proposed solution

<a name="resources">Resources</a> to help with asking the question right and provide code examples in an effective and productive manner:

- [Getting Started With The POCO C++ Libraries](http://pocoproject.org/docs/00200-GettingStarted.html)
- [How To Ask Questions The Smart Way](http://www.catb.org/esr/faqs/smart-questions.html)
- [How to create a Minimal, Complete, and Verifiable example](http://stackoverflow.com/help/mcve)

--
**Q:** How do I contribute to POCO?

**A:** See [Contributing](https://github.com/pocoproject/poco/blob/develop/CONTRIBUTING.md)

## Specific Questions

**Q:** How do I build POCO on platform [xyz]?

**A:** POCO builds out-of-the-box on many platforms. See [Building portion](http://pocoproject.org/docs/00200-GettingStarted.html#7) for your platform in the [Getting Started](http://pocoproject.org/docs/00200-GettingStarted.html) document. If things don't work according to the documentation, please let us know. If you find a problem and know how to fix it, please do and send us a [pull request](https://help.github.com/articles/using-pull-requests/).

--
**Q:** Is there a coding style guide?

**A:** [Yes](http://www.appinf.com/download/CppCodingStyleGuide.pdf).

--
**Q:** Where can I find examples of POCO usage?

**A:** Every POCO library comes with a set of small, fully-functional, example applications; the samples are located in the "samples" directory of each POCO library; additionally, the knowledge on usage of POCO can also be gained by studying and running unit tests, located under "testsuite" directory for each POCO library.
